package com.jiayue.insu.incloud.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.insu.incloud.entity.QuartzBase;

import java.util.List;

/**
 * 定时任务初始业务接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface QuartzBaseService extends IService<QuartzBase> {

    /**
     * 通过执行类查询
     * @param executeClass 执行类路径
     * @return 结果
     */
    QuartzBase findByExecuteClass(String executeClass);
    /**
     * 通过定时任务编码查询
     * @param code 定时任务编码
     * @return 结果
     */
    QuartzBase findByCode(String code);
    /**
     * 通过公司编码查询
     * @param inCode 公司编码
     * @return 结果
     */
    List<QuartzBase> findByIncode(String inCode);

    /**
     * 通过类型查询
     * @param type 类型
     * @return 结果
     */
    List<QuartzBase> findByType(String type);
    /**
     * 返回场站下可选择定时任务 （所属公司私有类型定时任务和公共类型定时任务）
     * @param inCode 公司编码
     * @return 结果
     */
    List<QuartzBase> getChooseQuartz(String inCode);
}
